Bug 194978 - Difference between local and event timezone is not dynamic
Summary: Difference between local and event timezone is not dynamic
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Sergio Martins
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-02 12:47 UTC by Christoph Bartoschek
Modified: 2012-05-03 17:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Bartoschek 2009-06-02 12:47:56 UTC
Version:            (using Devel)
Installed from:    Compiled sources

korganizer seems to not honour different between different timezones for specific periods. For example the difference between the New York timezone and Berline timezone is normally 6 hours. But the daylight saving time starts earlier in the USA and ends later. This results in an offset of 5 hours in March and November. Korganizer seems to not honour that:

1. The local timezone is Berlin.
2. Create a new event on 2009-06-02. Let it start at 8:00 New York time
3. Let the event repeat each tuesday at the same time.
4. Korganizer correctly shows that the event takes place at 14:00 local time.
5. Go to March 2010. 
6. The event is still at 14:00 each tuesday in march although it should take place at 13:00 on some tuesdays.
Comment 1 Dirk Hohndel 2010-07-18 23:19:58 UTC
I can confirm this bug - recurring meetings that have been setup in a different time zone then mine do not change time in my calendar, even if the offset between the two timezone changes (UK time and Pacific Time in this case).

KOrganizer version 4.4.5
Comment 2 Sergio Martins 2011-03-06 17:51:38 UTC
Git commit 4b66bac8d537f6137aac1a41c2a5d9eab7dbccbf by Sergio Martins.
Committed on 06/03/2011 at 17:37.
Pushed by smartins into branch 'master'.

When displaying recurring to-dos, properly handle daylight savings shifts.

CCBUG: 194978

M  +9    -1    calendarviews/eventviews/agenda/agendaview.cpp     

http://commits.kde.org/kdepim/4b66bac8d537f6137aac1a41c2a5d9eab7dbccbf
Comment 3 Sergio Martins 2011-03-19 00:29:01 UTC
Git commit 0b440d817ce88b14668b8fb9907fa98c133ee455 by Sergio Martins.
Committed on 17/03/2011 at 19:27.
Pushed by smartins into branch 'master'.

Make recurring events aware of daylight saving time.

The time of the first occurrence was being used for all occurrences,
which is wrong. For example, a recurring UTC event that crosses a
DST switch won't have all occurrences with at same local time.

BUG: 194978

M  +40   -11   calendarviews/eventviews/agenda/agendaview.cpp     

http://commits.kde.org/kdepim/0b440d817ce88b14668b8fb9907fa98c133ee455